

                              RGRAM VERSION 2.93
                              COPYRIGHT (C) 1993
                               BY PHILLIP LAIRD
                             ALL RIGHTS RESERVED.

RGRAM.MAN   SEPTEMBER 17, 1993

WARRANTY:

The author of RGRAM version 2.93 makes no express or implied warranty as to
its fitness for any particular usage or merchantibility.  RGRAM is only
guaranteed to take up space on your Floppy Diskette or Hard Drive.  The
author of RGRAM will not be held liable for any loss or consequential
damages from any use of RGRAM.

MINIMUM REQUIREMENTS:

RGRAM works best from a Hard Drive, however, it will work just fine ( a little
slower, though ) from a floppy diskette drive.  System requirements include:

* DOS VERSION 2.12 or later   * TRADEMARK OF MICROSOFT CORPORATION (R) (C)
256K of memory
8086 or later micro-processors through 80486 micro-processors.
128K of Hard disk or floppy diskette space to write the messages to file.
Monochrome, color or later monitor.
360K Floppy - 1.44MB Floppy or Hard Disk

WHAT IS RGRAM?

RGRAM is a HAM Radio Operator related program that allows the data gathering
and writing of NTS (National Traffic System) messages conforming to ARRL
standards.  Messages generated are compatible with most transfer methods on
IBM compatible TNC's with Packet and also RTTY.  RGRAM is Shareware, meaning
that you are welcome to try RGRAM for a limited time and after a period of 30
days should you continue to use RGRAM, you must register it with the author.
RGRAM IS CONSIDERED SHAREWARE AND IS NOT IN THE PUBLIC DOMAIN NOR IS IT
FREEWARE.  It's use will be primarily suitable for HAM Operators passing
message traffic.  RGRAM is also VERY inexpensive, in fact the cost is slightly
above the cost for me to ship your copy to you!  Can't get much cheaper, huh?

USE OF RGRAM:

RGRAM is very simple to use and all command instructions are in the help file
should you run into difficulties while using RGRAM. All commands available to
RGRAM or listed in 'Light Red' on the lower RGRAM Menu Screen.
If you would like to register and receive your very own registered copy, please
send $5.00 U.S. Check or Money Order to:

                           Phillip Laird, N5UYH
                           2770 Morton Lane
                           Vidor, Texas 77662

Specify whether you would like 1.2MB or 1.44 MB diskette to be sent.  Include
a seperate piece of paper and include your name and mailing address for me to
send the registered version to you.

RGRAM is fully functional in the Shareware Version and is not crippled in any
way.  Please respect the fact that it took me some time to write RGRAM and I
would very much appreciate it being registered before you ask me to try and
solve some problem you may have using it or otherwise.

Hope it is useful and let me know of any suggestions you might have for future
updates!

TECHNICAL NOTES:

When you select the [E] command and are asked to enter the MESSAGE NUMBER,
please note that you may enter a message number as a simple number like:
000001  or 0002 or  115 and that also, you may specify it with the extension
like:  0001.TXT or 003.MSG or RGRAM.999 etc.  AS LONG AS the entry is no
longer than 8 characters in length and or 8 characters in length and the .ext
appended.

RGRAM also utilizes the INS, END and HOME Keys while you are entering your
message in the message body editor.  Please be careful here... It might cause
you to err easier should you press one of these keys and then notice later that
you didn't enter the message as you wanted to.

it is recommended that you add a file to your config.sys with the following
line:
           DEVICE = C:\DOS\ANSI.SYS (or the path to your ANSI.SYS file)
if ANSI.SYS is located in your C: Root directory, it might look like this:

			DEVICE = C:\ANSI.SYS

ANSI.SYS is required for the proper operation of RGRAM.  If you do not know
how to add a line, I can do it for you.  Just type INSTALL at the C:\RGRAM:>
or while you are in the same directory that you place your RGAM files either
on your floppy or hard drive.


ARRL PRIORITY AND HANDLING INSTRUCTIONS INPUT:

Messages are grouped and usually passed according to handling instructions:
RGRAM will ask for the priority and handle of the message traffic.  Here are
the instructions:

Priority:
E - Emergency Traffic - Life and Death urgency to any person or group of
                        persons transmitted by Amateur Radio.

P - Priority Traffic -  For messages having set time limits, official messages
                        press related dispatches and emergency traffic that is
                        not considered of utmost importance to classify it as
                        strictly emergency.

W - Welfare Traffic -   Usually deals with questions as to the health and 
                        welfare of a person or group of persons, such as those
                        faring a disaster such as a hurricane, victims of
        				storms, earthquakes and other perilous happenings.

R - Routine Traffic -   Normal message designation.  Usually to be passed as 
                        the last messages in a net or otherwise. Messages that
						are classified in this category are not of urgency nor
						any emergency and usually not time dependant upon any
                        delivery time limits.

Handling:

A - HXA -               Collect Landline delivery authorized by addressee
						within________miles. Follow 'A' with number.  If number
                        not present, then assume unlimited authorization.

B - HXB -               Cancel message if not delivered in_____ hoursof filing
						time and then service originating station.  Follow 'B'
						with number of hours.

C - HXC -       		Report date and time of delivery to  originating
						station.

D - HXD -    			Report date and time of delivery, The Identity of the
						station from which received, identity of station to 
						which relayed, plus date and time, or if delivered, 
						report date, time and method of delivery.

E - HXE -				Delivering station is to get reply from addressee,
						originate message back.

F - HXF -               Hold delivery until _______. Follow 'F' by date.

G - HXG -               Delivery by mail or landline not required.  If toll or
  						other expense is involved, cancel message and service
						the originating station.

For further instructions, you should order a copy of the ARRL Public Service
Communications Manual direct from the ARRL at:

The American Radio Relay League, Inc.
Newington, CT 06111

At the time of this editing, the cost was $1.00, however, this manual might be
one of the ARRL Freebies.

Or, you might contact Luck Hurder via Internet at : lhurder@ARRL.ORG

Enjoy...

-Phillip-
N5UYH

I can be reached by EMAIL at: lairdpg@lub001.lamar.edu via Internet
